#pragma once

#ifndef __GPSCONNECTIONS_H__
#define __GPSCONNECTIONS_H__

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CGPSConnections
class ATL_NO_VTABLE CGPSConnections : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CGPSConnections, &CLSID_GPSConnections>,
	public ISupportErrorInfoImpl<&IID_IGPSConnections>,
	public IDispatchImpl<IGPSConnections, &IID_IGPSConnections, &LIBID_GPSCOMLib>
{
public:
//Constructors / Destructors
	CGPSConnections();

DECLARE_PROTECT_FINAL_CONSTRUCT()
DECLARE_REGISTRY_RESOURCEID(IDR_GPSCONNECTIONS)

BEGIN_COM_MAP(CGPSConnections)
	COM_INTERFACE_ENTRY(IGPSConnections)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

//IGPSConnections
  STDMETHOD(get_Count)(long* pVal);
  STDMETHOD(Item)(long nIndex, IGPSConnection** ppConnection);
  STDMETHOD(get__NewEnum)(IUnknown** ppVal);
};

OBJECT_ENTRY_AUTO(__uuidof(GPSConnections), CGPSConnections)

#endif //__GPSCONNECTIONS_H__
