#pragma once

#ifndef STRICT
#define STRICT
#endif

#ifndef WINVER
#define WINVER 0x0501
#endif

#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0501
#endif						

#ifndef _WIN32_WINDOWS
#define _WIN32_WINDOWS 0x0410
#endif

#ifndef _WIN32_IE
#define _WIN32_IE 0x0600
#endif

#define _ATL_APARTMENT_THREADED
#define _ATL_NO_AUTOMATIC_NAMESPACE

#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS	//some CString constructors will be explicit

//MFC Support
#include <afxwin.h>
#include <afxtempl.h>
#include <afxdisp.h>
#include <afxmt.h>

//ATL Support
#include "resource.h"
#include <atlbase.h>
#include <atlcom.h>
#include <atlsimpcoll.h>

using namespace ATL;

//Our global CWinApp class
class CMyApp : public CWinApp
{
public:
//Methods
  virtual BOOL InitInstance();
  
//Member variables
  CSimpleArray<void*> m_Connections;
  CComAutoCriticalSection m_csConnections;
};

CMyApp* GetApp();

