#pragma once

#ifndef __GGASENTENCE_H__
#define __GGASENTENCE_H__

#include "resource.h"       // main symbols

class ATL_NO_VTABLE CGGASentence : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CGGASentence, &CLSID_GGASentence>,
	public IDispatchImpl<IGGASentence, &IID_IGGASentence, &LIBID_GPSCOMLib>
{
public:
//Constructors / Destructors
	CGGASentence();

DECLARE_PROTECT_FINAL_CONSTRUCT()
DECLARE_NO_REGISTRY()

BEGIN_COM_MAP(CGGASentence)
	COM_INTERFACE_ENTRY(IGGASentence)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

//IGGASentence
	STDMETHOD(get_Satellites)(long* pVal);
	STDMETHOD(get_Altitude)(double* pVal);
	STDMETHOD(get_Fix)(GPS_FIX* pVal);

//Member variables
  long         m_nSatellites;
  double       m_dblAltitude;
  GPS_FIX      m_Fix;
};

#endif //__GGASENTENCE_H__
