VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim WithEvents gps As GPSCOMLib.GPSConnection
Attribute gps.VB_VarHelpID = -1

Private Sub Form_Load()
    Dim gpsport As New GPSCOMLib.gpsport
    gpsport.BaudRate = 4800
    Debug.Print "BaudRate: " & gpsport.BaudRate
    
    gpsport.DataBits = 8
    Debug.Print "DataBits: " & gpsport.DataBits
    
    gpsport.Parity = GPS_PARITY_NONE
    Debug.Print "Parity: " & gpsport.Parity
    
    gpsport.StopBits = GPS_1_STOP_BIT
    Debug.Print "Stop Bits: " & gpsport.StopBits
    
    'gpsport.InitString = "Hello World!"
    'Debug.Print "Init String: " & gpsport.InitString
    
    Dim gpsenum As New GPSCOMLib.GPSConnections
    Dim gpsitem As GPSCOMLib.GPSConnection
        
    Debug.Print "Enumerating currently active connections"
    Debug.Print "Active Connections: " & gpsenum.Count
    For Each gpsitem In gpsenum
      Debug.Print "---------------------"
      Debug.Print "BaudRate: " & gpsitem.BaudRate
      Debug.Print "DataBits: " & gpsitem.DataBits
      Debug.Print "Parity: " & gpsitem.Parity
      Debug.Print "Port: " & gpsitem.Port
      Debug.Print "Stop Bits: " & gpsitem.StopBits
      Debug.Print "Init String: " & gpsitem.InitString
    Next gpsitem
           
    Debug.Print "Create new GPS connection"
    Set gps = gpsport.CreateConnection(1, True)
    Set gpsport = Nothing
        
    Debug.Print "Enumerating currently active connections"
    Debug.Print "Active Connections: " & gpsenum.Count
    For Each gpsitem In gpsenum
      Debug.Print "---------------------"
      Debug.Print "BaudRate: " & gpsitem.BaudRate
      Debug.Print "DataBits: " & gpsitem.DataBits
      Debug.Print "Parity: " & gpsitem.Parity
      Debug.Print "Port: " & gpsitem.Port
      Debug.Print "Stop Bits: " & gpsitem.StopBits
      Debug.Print "Init String: " & gpsitem.InitString
    
      Dim gpsgga As GPSCOMLib.GGASentence
      Set gpsgga = gpsitem.GGA
      
      Debug.Print "GGA Sentence Details -----"
      Debug.Print "Altitude: " & gpsgga.Altitude
      Debug.Print "Fix: " & gpsgga.Fix
      Debug.Print "Satellites: " & gpsgga.Satellites
      
      Dim gpsrmc As GPSCOMLib.RMCSentence
      Set gpsrmc = gpsitem.RMC
    
      Debug.Print "RMC Sentence Details ------"
      Debug.Print "Valid: " & gpsrmc.Valid
      Debug.Print "Speed: " & gpsrmc.Speed
      Debug.Print "Bearing: " & gpsrmc.Bearing
      Debug.Print "Date: " & gpsrmc.Date
      Debug.Print "Northing: " & gpsrmc.Northing
      Debug.Print "Latitude: " & gpsrmc.Latitude
      Debug.Print "Easting: " & gpsrmc.Easting
      Debug.Print "Longitude: " & gpsrmc.Longitude
    Next gpsitem
End Sub

Private Sub Form_Unload(Cancel As Integer)
  Set gps = Nothing
End Sub

Private Sub gps_OnGGASentence()
    Debug.Print "GGA Sentence Received ----"
    Debug.Print "Altitude: " & gps.GGA.Altitude
    Debug.Print "Fix: " & gps.GGA.Fix
    Debug.Print "Satellites: " & gps.GGA.Satellites
End Sub

Private Sub gps_OnRMCSentence()
    Debug.Print "RMC Sentence Received ----"
    Debug.Print "Valid: " & gps.RMC.Valid
    Debug.Print "Speed: " & gps.RMC.Speed
    Debug.Print "Bearing: " & gps.RMC.Bearing
    Debug.Print "Date: " & gps.RMC.Date
    Debug.Print "Northing: " & gps.RMC.Northing
    Debug.Print "Latitude: " & gps.RMC.Latitude
    Debug.Print "Easting: " & gps.RMC.Easting
    Debug.Print "Longitude: " & gps.RMC.Longitude
End Sub

Private Sub gps_OnUnknownSentence(ByVal Sentence As String)
    Debug.Print "Unknown Sentence Received: " & Sentence
End Sub
